G3DATA(1)

NAME
g3data - A tool for extracting data from graphs.

SYNOPSIS

g3data [ -max x y ] [ -scale factor ] [ -coords llx lly rux ruy ] [ -errors ] [ -lnx ] [ -lny ] [ filename(s) ... ]

DESCRIPTION

g3data is a tool for extracting data from scanned graphs. For graphs published in scientific articles the actual data is usually not explicitly given; g3data makes the process of extracting this data easy.

OPTIONS

-max x y
    If picture is larger x-wise than x or y-wise than y, the picture is scaled down accordingly otherwise this parameter has no effect.

-scale factor
    Scales the picture size by factor. This parameter nullifies effect of the -max parameter.

-coords llx lly rux ruy
    Preset the coordinates of the left lower (ll) corner and the right upper (ru) corner.

-errors
    Print out the error of the x value in column 3 and the error of y value in column 4 of the output.

-lnx
    Use logarithmic scale for x coordinates.

-lny
    Use logarithmic scale for y coordinates.

filename(s) ...
    The filename(s) of the image(s) to open. Supported image formats: PNG, XPM, JPEG, TIFF, PNM, RAS, BMP and GIF.

USAGE

g3data -scale 2 -errors test1.png

g3data -scale 2 -lny -errors test2.png

BUGS

None known.

AUTHOR

Jonas Frantz <jonas.frantz@welho.com>

Paul Novak <pnovak@alumni.caltech.edu>